## gnuais 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (gnuais)

INCLUDE(CheckIncludeFiles)

CHECK_INCLUDE_FILES(alsa/asoundlib.h HAVE_ALSA)
CHECK_INCLUDE_FILES(mysql/mysql.h HAVE_MYSQL)
CHECK_INCLUDE_FILES(curl/curl.h HAVE_CURL)
CHECK_INCLUDE_FILES(pulse/pulseaudio.h HAVE_PULSEAUDIO)
set(CMAKE_C_FLAGS "-g -Wall -O2")

if(NOT HAVE_ALSA)
	MESSAGE(FATAL_ERROR "The development files for ALSA are required - libasound-dev")
endif(NOT HAVE_ALSA)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

install(FILES gnuais.conf-example DESTINATION share/doc/gnuais)

add_subdirectory(src)

=== src/CMakeLists.txt ===
if(HAVE_PULSEAUDIO)
        add_executable(gnuais ais.c ais.c cfg.c crc32.c hlog.c input.c out_mysql.c receiver.c splay.c cache.c cfgfile.c filter.c hmalloc.c out_json.c protodec.c rwlock.c serial.c spsymbol.c ipc.c pulseaudio.c) 
else()
        add_executable(gnuais ais.c ais.c cfg.c crc32.c hlog.c input.c out_mysql.c receiver.c splay.c cache.c cfgfile.c filter.c hmalloc.c out_json.c protodec.c rwlock.c serial.c spsymbol.c ipc.c) 
endif()

target_link_libraries(gnuais pthread asound)

if(HAVE_MYSQL)
    target_link_libraries(gnuais mysqlclient)
else() 
    message(WARNING "You do not have development files for mysql. Mysql functionality will therefore be disabled")
endif()

if(HAVE_CURL)
    target_link_libraries(gnuais curl)
else()
    message(WARNING "You do not have the development files for curl. Functionaly using curl will therefore be disabled")
endif()

if(HAVE_PULSEAUDIO)
    target_link_libraries(gnuais pulse-simple)
else()
    message(WARNING "You do not have the development files for pulseaudio. Support for pulseaudio will therefore not be included")
endif()

install(TARGETS gnuais DESTINATION bin)

#if(HAVE_GTK)
add_subdirectory(gui)
#endif(HAVE_GTK)

=== debian/changelog ===
gnuais (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #744790)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 02 Sep 2014 19:44:11 +0200

=== debian/control ===
Source: gnuais
Section: hamradio
Priority: optional
Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 9), cmake, libasound2-dev, libmysqlclient-dev,
               libpulse-dev, libcurl4-openssl-dev, libgtk-3-dev,
               libosmgpsmap-1.0-0-dev (>= 1.0.2), libsoup2.4-dev
Standards-Version: 3.9.5
Vcs-Git: git://github.com/rubund/gnuais.git -b debian
Vcs-Browser: https://github.com/rubund/gnuais/tree/debian
Homepage: http://gnuais.sourceforge.net/

Package: gnuais
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AIS receiver which uses the discriminator output of VHF receivers
 A tool for demodulating and decoding Automatic Identification System messages
 using the line input of the sound card. AIS messages are transmitted by
 marine vessels and contain their position, velocity and other interesting
 information. The messages may be saved to a mysql-database, forwarded as NMEA
 packets or uploaded to an AIS web service.

Package: gnuaisgui
Architecture: any
Depends: gnuais (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: OpenStreetMap GUI for gnuais
 This GUI plots the vessels that are received by gnuais in an OpenStreetMap
 GUI.
 .
 gnuais must be running in the background for gnuaisgui to be 
 functional.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh  $@

=== debian/watch ===
version=3
https://github.com/rubund/gnuais/releases /rubund/gnuais/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## gnuais 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 cmake_minimum_required (VERSION 2.6)
+
+SET(CMAKE_BUILD_TYPE Release CACHE STRING "If build type is not specified on command line, build Release")
+
 project (gnuais)
 
 INCLUDE(CheckIncludeFiles)
@@ -7,7 +10,6 @@
 CHECK_INCLUDE_FILES(mysql/mysql.h HAVE_MYSQL)
 CHECK_INCLUDE_FILES(curl/curl.h HAVE_CURL)
 CHECK_INCLUDE_FILES(pulse/pulseaudio.h HAVE_PULSEAUDIO)
-set(CMAKE_C_FLAGS "-g -Wall -O2")
 
 if(NOT HAVE_ALSA)
 	MESSAGE(FATAL_ERROR "The development files for ALSA are required - libasound-dev")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 if(HAVE_PULSEAUDIO)
-        add_executable(gnuais ais.c ais.c cfg.c crc32.c hlog.c input.c out_mysql.c receiver.c splay.c cache.c cfgfile.c filter.c hmalloc.c out_json.c protodec.c rwlock.c serial.c spsymbol.c ipc.c pulseaudio.c) 
+        add_executable(gnuais ais.c ais.c cfg.c crc32.c hlog.c input.c out_mysql.c receiver.c splay.c cache.c range.c cfgfile.c filter.c hmalloc.c out_json.c protodec.c rwlock.c serial.c spsymbol.c ipc.c pulseaudio.c) 
 else()
-        add_executable(gnuais ais.c ais.c cfg.c crc32.c hlog.c input.c out_mysql.c receiver.c splay.c cache.c cfgfile.c filter.c hmalloc.c out_json.c protodec.c rwlock.c serial.c spsymbol.c ipc.c) 
+        add_executable(gnuais ais.c ais.c cfg.c crc32.c hlog.c input.c out_mysql.c receiver.c splay.c cache.c range.c cfgfile.c filter.c hmalloc.c out_json.c protodec.c rwlock.c serial.c spsymbol.c ipc.c) 
 endif()
 
-target_link_libraries(gnuais pthread asound)
+target_link_libraries(gnuais pthread asound m)
 
 if(HAVE_MYSQL)
     target_link_libraries(gnuais mysqlclient)

=== src/gui/CMakeLists.txt ===
#cmake_minimum_required (VERSION 2.6)
#project(gnuais)


find_package(PkgConfig)

pkg_check_modules(GTK3 gtk+-3.0)
pkg_check_modules(GTHREAD gthread-2.0)
pkg_check_modules(OSMGPSMAP osmgpsmap-1.0>=1.0.2)


#if (NOT GTK3_FOUND)
#	MESSAGE(INFO, "libgtk-2.0 is required")
#endif (NOT GTK3_FOUND)
#
#if (NOT GTHREAD_FOUND)
#	MESSAGE(FATAL_ERROR "libgthread-2.0 is required")
#endif (NOT GTHREAD_FOUND)
#
#if (NOT OSMGPSMAP_FOUND)
#	MESSAGE(FATAL_ERROR "libosmgpsmap-dev is required")
#endif (NOT OSMGPSMAP_FOUND)

if (GTK3_FOUND AND GTHREAD_FOUND AND OSMGPSMAP_FOUND)
	add_executable(gnuaisgui gui.c osm-gps-map-ais.c) 

	target_link_libraries(gnuaisgui ${GTK3_LIBRARIES})
	target_link_libraries(gnuaisgui ${GTHREAD_LIBRARIES})
	target_link_libraries(gnuaisgui ${OSMGPSMAP_LIBRARIES})
	target_link_libraries(gnuaisgui m)

	target_link_libraries(gnuaisgui pthread)

	include_directories(${GTK3_INCLUDE_DIRS} ${OSMGPSMAP_INCLUDE_DIRS})

	install(TARGETS gnuaisgui DESTINATION bin)
else (GTK3_FOUND AND GTHREAD_FOUND AND OSMGPSMAP_FOUND)
	MESSAGE( "Missing one more packages for building gui. Skipping")
endif(GTK3_FOUND AND GTHREAD_FOUND AND OSMGPSMAP_FOUND)

=== debian/changelog ===
gnuais (0.3.3-9~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Added gnuaisgui.desktop file.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 19 Jan 2021 09:26:59 -0500

gnuais (0.3.3-9) unstable; urgency=medium

  * Fix build for GCC 10 (Closes: #957290)
    - debian/patches/0003-Fix-compile-error-for-GCC-10.patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 09 Aug 2020 17:12:41 +0200

gnuais (0.3.3-8) unstable; urgency=medium

  * debian/control:
    - Change to new Vcs URLs
    - New standards version 4.2.1 - no changes
  * debian/tests:
    - New autopkgtest for testing receiving from file
  * debian/upstream/metadata: Added upstream metadata

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 14:57:19 +0200

gnuais (0.3.3-7) unstable; urgency=medium

  * debian/compat:
    - compat level 11
  * debian/control:
    - Change VCS to salsa
    - New standards version 4.2.0 - no changes
    - debhelper >= 11
  * debian/copyright:
    - Use https for format field
  * debian/gbp.conf:
    - Main debian branch is now "master"

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 04 Aug 2018 11:48:08 +0000

gnuais (0.3.3-6) unstable; urgency=medium

  * Changed build-dependency from libmysqlclient-dev to
    default-libmysqlclient-dev. (Closes: #845849)
  * Standards version to 3.9.8 - no changes
  * Use secure URL for Vcs-Git.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 03 Dec 2016 12:49:47 +0100

gnuais (0.3.3-5) unstable; urgency=medium

  * Added debian/patches/02_fix_inline_functions.patch:
    - Add "__attribute__ ((gnu_inline))" to "extern inline" functions
      to fix FTBFS on i386.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 23 Dec 2015 11:53:53 +0100

gnuais (0.3.3-4) unstable; urgency=medium

  * Fixed build-dependency (Closes: #808091)
    - libosmgpsmap-1.0-0-dev > libosmgpsmap-1.0-dev

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Dec 2015 22:03:39 +0100

gnuais (0.3.3-3) unstable; urgency=low

  * debian/gnuais.1:
    - Fixed typo in man page

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 23 Jun 2015 19:52:48 +0200

gnuais (0.3.3-2) unstable; urgency=low

  * Uploaded to unstable
  * Added debian/gbp.conf to automatically enable build with pristine-tar

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 23 May 2015 11:37:10 +0200

gnuais (0.3.3-1) experimental; urgency=medium

  * New upstream release
    - Patch 02_cflags.patch fixed upstream, so removed
  * Updated standards-version to 3.9.6
  * Added d/signing-key.asc and modified d/watch to enable GPG check for uscan
  * Some small updates in d/copyright
  * Enabled hardening=+all

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 13 Nov 2014 18:12:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: gnuais
 Section: hamradio
 Priority: optional
-Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 9), cmake, libasound2-dev, libmysqlclient-dev,
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
+Build-Depends: debhelper (>= 11), cmake, libasound2-dev, default-libmysqlclient-dev,
                libpulse-dev, libcurl4-openssl-dev, libgtk-3-dev,
-               libosmgpsmap-1.0-0-dev (>= 1.0.2), libsoup2.4-dev
-Standards-Version: 3.9.5
-Vcs-Git: git://github.com/rubund/gnuais.git -b debian
-Vcs-Browser: https://github.com/rubund/gnuais/tree/debian
+               libosmgpsmap-1.0-dev, libsoup2.4-dev
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/rubund/gnuais.git
+Vcs-Browser: https://salsa.debian.org/rubund/gnuais
 Homepage: http://gnuais.sourceforge.net/
 
 Package: gnuais
@@ -27,5 +28,5 @@
  This GUI plots the vessels that are received by gnuais in an OpenStreetMap
  GUI.
  .
- gnuais must be running in the background for gnuaisgui to be 
+ gnuais must be running in the background for gnuaisgui to be
  functional.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
 	dh  $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
